#include "ContentManagement/ContentManagement.h"
#include "ContentManagement/Error.h"

int CKG_CM_AddItemToList(CKG_CM_List **list, CKG_CM_List *itemToAdd)
{
    if (list && itemToAdd)
    {
        CKG_CM_List *oldHead;

        oldHead = *list;
        *list = itemToAdd;
        itemToAdd->next = oldHead;

        return CKG_CM_OK;        
    }

    return CKG_CM_INVALIDARG;
}

int CKG_CM_RemoveItemFromList(CKG_CM_List **list, CKG_CM_List *itemToRemove)
{
    if (list && itemToRemove)
    {
        CKG_CM_List *current = *list;

        //whole (current)
    }

    return CKG_CM_INVALIDARG;
}

